package com.bonus.canteen.core.order.deprecated.param;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class OrdTradeDetailParam {
   @ApiModelProperty("流水号(对应订单号或充值id等)")
   private Long flowNum;
   @ApiModelProperty("人员状态 1-正常 2-注销")
   private Integer custState;
   @ApiModelProperty("人员姓名")
   private String custName;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("卡号")
   private String cardNum;
   @ApiModelProperty("卡序列号")
   private String serialNum;
   @ApiModelProperty("人员类别")
   private List<Integer> psnTypeList;
   @ApiModelProperty("设备编号")
   private String mchNum;
   @ApiModelProperty("交易类型")
   private List<Integer> tradeTypeList;
   @ApiModelProperty("交易时间")
   private LocalDateTime tradeTimeMin;
   private LocalDateTime tradeTimeMax;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口或店铺id")
   private Long shopstallId;
   @ApiModelProperty("所属组织id")
   private List<Long> orgIdList;
   @ApiModelProperty("订单来源")
   private List<Long> sourceTypeList;

   public Long getFlowNum() {
      return this.flowNum;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public List<Integer> getTradeTypeList() {
      return this.tradeTypeList;
   }

   public LocalDateTime getTradeTimeMin() {
      return this.tradeTimeMin;
   }

   public LocalDateTime getTradeTimeMax() {
      return this.tradeTimeMax;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getSourceTypeList() {
      return this.sourceTypeList;
   }

   public void setFlowNum(final Long flowNum) {
      this.flowNum = flowNum;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCardNum(final String cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setTradeTypeList(final List<Integer> tradeTypeList) {
      this.tradeTypeList = tradeTypeList;
   }

   public void setTradeTimeMin(final LocalDateTime tradeTimeMin) {
      this.tradeTimeMin = tradeTimeMin;
   }

   public void setTradeTimeMax(final LocalDateTime tradeTimeMax) {
      this.tradeTimeMax = tradeTimeMax;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setSourceTypeList(final List<Long> sourceTypeList) {
      this.sourceTypeList = sourceTypeList;
   }

}
